@echo off

REM First check if the user is running W9x. In this case the
REM ERRORLEVEL var is not available and thus this example 
REM can't work

XQGetOSVer /B

IF ERRORLEVEL 9 GOTO goon
IF ERRORLEVEL 8 GOTO goon
IF ERRORLEVEL 7 GOTO goon
IF ERRORLEVEL 6 GOTO goon
IF ERRORLEVEL 5 GOTO goon
IF ERRORLEVEL 4 GOTO notwork
IF ERRORLEVEL 3 GOTO goon
IF ERRORLEVEL 2 GOTO notwork
IF ERRORLEVEL 1 GOTO notwork





:goon
cls
echo.
echo This is the normal output (see the Platform etc. line)
echo.
XQGetOSVer /B
echo.
echo.
pause

cls
echo.
echo Now we use Batch tools to determine the same information
echo We simply call XQGetOSVer four times, each time with a 
echo different parameter and store the ERRORLEVEL for later
echo use.
echo.
pause

XQGetOSVer /B /N /X1
SET PLATFORM=%ERRORLEVEL%

XQGetOSVer /B /N /X2
SET MAJOR=%ERRORLEVEL%

XQGetOSVer /B /N /X3
SET MINOR=%ERRORLEVEL%

XQGetOSVer /B /N /X4
SET BUILD=%ERRORLEVEL%



cls
echo.
echo Platform..: %PLATFORM%
echo Major.....: %MAJOR%
echo Minor.....: %MINOR%
echo Build.....: %BUILD%
goto ende



:notwork
cls
echo.
echo Sorry, the extended example requires your OS to understand
echo the ERRORLEVEL variable and Windows 95/98 do not support it.
echo.
goto ende



:ende
echo.
echo.
echo Bye...
echo.
pause

